Subject: Re: [alsa-devel] [PATCH] ASoC drivers for the Freescale MPC8610 SoC

From: Timur Tabi <[email-masked]>
Date: Thu, 10 Jan 2008 10:03:47 -0600

Grant Likely wrote:

> The driver doesn't need to be 100% correct.  Drivers are easy to
> change if they aren't quite right.  There are no long term
> consequences.
 >
> However, the device tree issues must be addressed before it is merged
> and deployed.  Otherwise we end up having to support poorly designed
> trees over the long term.

I agree.  Correct me if I'm wrong, but I think the only device tree "issue" is 
the definition of the 'codec' node under the SSI node.  If so, I'm not sure what 
other changes need to be mode.

-- 
Timur Tabi
Linux kernel developer at Freescale